/**
 * RuleStatus.java
 *
 * File generated from the XValidator4::RuleStatus uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.xvalidation.core.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * Description of the enumeration RuleStatus.
 *
 *
 */

@XmlType(name = "RuleStatus")
@XmlEnum
@XmlRootElement(name = "RuleStatus")
public enum RuleStatus {
	@XmlEnumValue("ACTIVE")
	ACTIVE("ACTIVE"),
	@XmlEnumValue("INACTIVE")
	INACTIVE("INACTIVE"),
	@XmlEnumValue("DEPRECATED")
	DEPRECATED("DEPRECATED");

	private final String value;

	RuleStatus(String v) {
		value = v;
	}

	public String value() {
		return value;
	}

	public String getValue() {
		return value;
	}

	public static RuleStatus fromValue(String v) {
		for (RuleStatus c : RuleStatus.values()) {
			if (c.value.equals(v)) {
				return c;
			}
		}
		return null;
	}
}